# Taeval

This gem is intended to give an automated way of evaluation of university homeworks.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'taeval'
```

And then execute:

```sh
bundle install
```

Or install it yourself as:

```sh
gem install taeval
```

## Usage

#### Initialize configs

The following command generates the skeleton of the runner and config files as well.

```sh
taeval init
```

The result of the command seems as follows

```sh
mytaeval
├── config.yml
├── hadolint.yml
├── plagium.yml
├── report.json
├── student_hws
├── students.csv
├── taeval
└── unittest.yml
```

```ruby

```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/torokmark/taeval.

