require_relative 'lib/taeval/version'

Gem::Specification.new do |spec|
  spec.name          = "taeval"
  spec.version       = Taeval::VERSION
  spec.authors       = ["Torok Mark"]
  spec.email         = ["torok.marko@gmail.com"]

  spec.summary       = %q{Auto evaluator for university homeworks.}
  spec.description   = %q{Auto evaluator for university homeworks for test automation classes.}
  spec.homepage      = "https://github.com/torokmark/taeval"
  spec.licenses      = [ "MIT" ]
  spec.required_ruby_version = Gem::Requirement.new(">= 2.3.0")

  if spec.respond_to?(:metadata)
    spec.metadata["allowed_push_host"] = "https://rubygems.org"

    spec.metadata["homepage_uri"] = spec.homepage
    spec.metadata["source_code_uri"] = spec.homepage 
  else
    raise "RubyGems 2.0 or newer is required to protect against public gem pushes."
  end

  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end

  spec.require_paths = ["lib", 'bin', 'config']
  spec.bindir = 'bin'
  spec.executables << 'taeval'

  spec.add_development_dependency "bundler", "~> 2.0"
  spec.add_development_dependency "rake", "~> 13.0"
  spec.add_development_dependency "rspec", "~> 3.9"
  
  spec.add_runtime_dependency "moss_ruby", "~> 1.1.3"
end
